View Issue Details

IDProjectCategoryView StatusLast Update
0001853CaseTalk ModelerConstraintspublic2022-10-23 16:48
ReporterBCP Software Assigned ToBCP Software  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Target Version12.6Fixed in Version12.6 
Summary0001853: Cardinality Constraints
DescriptionThe concept of Cardinality Constraints is currently missing from CaseTalk.
A CC applies to one or more Roles of a Fact Type (OTFT). It therefore has a Repository structure similar to an UC.
TagsNo tags attached.
CaseTalk Editionunknown

Activities

BCP Software

BCP Software

2018-09-14 08:01

administrator   ~0001284

CC is an odd constraint. We would like to set the cardinality of it per role-set. For instance "=3" or "1,2,3", or "7,12-99", etc. By default the UC which resembles the role-set structure has a cardinality of "<=1".

If CC is implemented as a broader UC, how would this affect existing drawing routines, and GLR algorithms?
BCP Software

BCP Software

2022-09-16 15:22

administrator   ~0004613

CaseTalk prevents overlapping UCs, if both UC (implied CC) and generice CC are to be stored in the same UC-tables, CaseTalk should nuance this rule. Additionally diagrams need to draw these UC-types differently.
BCP Software

BCP Software

2022-10-20 22:52

administrator   ~0004641

Entering and drawing is done, verbalization in natural language is still needed.
BCP Software

BCP Software

2022-10-22 18:28

administrator   ~0004642

UML Cardinality drawn.

Issue History

Date Modified Username Field Change
2018-09-14 07:57 BCP Software New Issue
2018-09-14 08:01 BCP Software Note Added: 0001284
2020-04-19 09:25 BCP Software Category Model Constraints => Constraints
2022-09-16 15:22 BCP Software Note Added: 0004613
2022-09-16 15:22 BCP Software Target Version Future => 13.x
2022-09-28 22:21 BCP Software Target Version 13.x => 12.6
2022-10-20 22:52 BCP Software Note Added: 0004641
2022-10-22 18:28 BCP Software Note Added: 0004642
2022-10-23 16:48 BCP Software Assigned To => BCP Software
2022-10-23 16:48 BCP Software Status new => resolved
2022-10-23 16:48 BCP Software Resolution open => fixed
2022-10-23 16:48 BCP Software Fixed in Version => 12.6